Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlFormRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlFormRendererBase

    public class HtmlFormRendererBase

extends HtmlRenderer

Version:
  $Revision: 486711 $ $Date: 2006-12-13 17:25:37 +0100 (Mi, 13 Dez 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $), Thomas Spiegl, Anton Koinov

Constructor Summary
`HtmlFormRendererBase()`

Method Summary
`static void` | `addHiddenCommandParameter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent form, java.lang.String paramName)`
`protected void` | `afterFormElementsEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called after the state and any elements are added to the form tag in the encodeEnd method
`protected void` | `afterFormElementsStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called after the state and any elements are added to the form tag in the encodeBegin method
`protected void` | `beforeFormElementsEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called before the state and any elements are added to the form tag in the encodeEnd method
`protected void` | `beforeFormElementsStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Called before the state and any elements are added to the form tag in the encodeBegin method
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected java.lang.String` | `getAcceptCharset(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`
`protected java.lang.String` | `getActionUrl(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`
`protected java.lang.String` | `getMethod(javax.faces.context.FacesContext facesContext, javax.faces.component.UIForm form)`
`static void` | `renderScrollHiddenInputIfNecessary(javax.faces.component.UIComponent form, javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeChildren, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFormRendererBase

    public HtmlFormRendererBase()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### getActionUrl

    protected java.lang.String getActionUrl(javax.faces.context.FacesContext facesContext,
                                            javax.faces.component.UIForm form)

### getMethod

    protected java.lang.String getMethod(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIForm form)

### getAcceptCharset

    protected java.lang.String getAcceptCharset(javax.faces.context.FacesContext facesContext,
                                                javax.faces.component.UIForm form)

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### addHiddenCommandParameter

    public static void addHiddenCommandParameter(javax.faces.context.FacesContext facesContext,
                                                 javax.faces.component.UIComponent form,
                                                 java.lang.String paramName)

### renderScrollHiddenInputIfNecessary

    public static void renderScrollHiddenInputIfNecessary(javax.faces.component.UIComponent form,
                                                          javax.faces.context.FacesContext facesContext,
                                                          javax.faces.context.ResponseWriter writer)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### beforeFormElementsStart

    protected void beforeFormElementsStart(javax.faces.context.FacesContext facesContext,
                                           javax.faces.component.UIComponent component)
                                    throws java.io.IOException

  Called before the state and any elements are added to the form tag in the encodeBegin method

  Throws:
    `java.io.IOException`

### afterFormElementsStart

    protected void afterFormElementsStart(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component)
                                   throws java.io.IOException

  Called after the state and any elements are added to the form tag in the encodeBegin method

  Throws:
    `java.io.IOException`

### beforeFormElementsEnd

    protected void beforeFormElementsEnd(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIComponent component)
                                  throws java.io.IOException

  Called before the state and any elements are added to the form tag in the encodeEnd method

  Throws:
    `java.io.IOException`

### afterFormElementsEnd

    protected void afterFormElementsEnd(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)
                                 throws java.io.IOException

  Called after the state and any elements are added to the form tag in the encodeEnd method

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.